
-- SET SCHEMA VERSION

PRAGMA user_version = 3;
PRAGMA application_id = 686445900;
PRAGMA journal_mode = TRUNCATE;

-- CREATE TABLES

--CREATE TABLE root_dirs (
--    id INTEGER PRIMARY KEY,
--    path TEXT,
--    recursive INTEGER,
--    temp INTEGER
--);

CREATE TABLE image (
    id INTEGER PRIMARY KEY,
--    root INTEGER,
    path TEXT,
--    hash TEXT,
--    shadowed_by INTEGER unsigned DEFAULT NULL,
--    derived_from INTEGER unsigned DEFAULT NULL,
    t_image_create INTEGER unsigned DEFAULT 0,
    t_db_access INTEGER unsigned DEFAULT 0,
    t_db_update INTEGER unsigned DEFAULT 0,
--    t_file_access INTEGER unsigned DEFAULT 0,
--    t_file_update INTEGER unsigned DEFAULT 0,
--    t_meta_access INTEGER unsigned DEFAULT 0,
--    t_meta_update INTEGER unsigned DEFAULT 0,
--    FOREIGN KEY(root) REFERENCES root_dirs(id),
--    FOREIGN KEY(derived_from) REFERENCES image(id),
--    FOREIGN KEY(shadowed_by) REFERENCES image(id)
    unique(path)
);

CREATE TABLE tag (
    id INTEGER PRIMARY KEY,
    tag TEXT,
    t_created INTEGER unsigned DEFAULT 0,
--    s_created INTEGER unsigned DEFAULT 0,
    unique(tag)
);

CREATE TABLE img_tag (
    image INTEGER NOT NULL,
    tag INTEGER NOT NULL,
    t_created INTEGER unsigned DEFAULT 0,
--    s_created INTEGER unsigned DEFAULT 0,
    FOREIGN KEY(image) REFERENCES image(id) ON DELETE CASCADE,
    FOREIGN KEY(tag) REFERENCES tag(id) ON DELETE CASCADE,
    unique(image, tag)
);

CREATE TABLE attribute (
    image INTEGER NOT NULL,
    mime TEXT,
    orientation INTEGER unsigned DEFAULT 0,
    width INTEGER DEFAULT NULL,
    height INTEGER DEFAULT NULL,
    exposure REAL DEFAULT NULL,
    focal_length REAL DEFAULT NULL,
    focal_length_35 REAL DEFAULT NULL,
    aperture REAL DEFAULT NULL,
    iso INTEGER DEFAULT NULL,
    flash INTEGER DEFAULT NULL,
    rank INTEGER DEFAULT 0,
    FOREIGN KEY(image) REFERENCES image(id) ON DELETE CASCADE,
    unique(image)
);

-- EOF --
