"""Popup dialogues.

A dialogue can be opened from the main application.
It appears on top of the application and prevent its use until the dialogue
is processed. A dialogue contains buttons whose presses can be captured.

>>> dlg = LabelDialogue(text='Hello world')
>>> dlg.bind(on_ok=...)
>>> dlg.bind(on_cancel=...)
>>> dlg.open()

"""
# imports
from dlg_input import TextInputDialogue
from dlg_text import LabelDialogue
from dlg_file import FilePickerDialogue
from dlg_dir import DirPickerDialogue
from dlg_new_file import FileCreatorDialogue
from dlg_new_dir import DirCreatorDialogue
from dlg_error import ErrorDialogue
from dlg_bindings import BindingsDialogue

# exports
__all__ = ('TextInputDialogue', 'LabelDialogue', 'FilePickerDialogue', 'FileCreatorDialogue', 'ErrorDialogue', 'DirPickerDialogue', 'BindingsDialogue', 'DirCreatorDialogue')

## EOF ##
