"""Dialogue to pick a directory.
"""
# imports
from kivy.properties import StringProperty
from dialogue import Dialogue
from kivy.lang import Builder
from os.path import join, dirname, exists, isdir

# exports
__all__ = ('DirPickerDialogue', )

# Load kv
Builder.load_file(join(dirname(__file__), 'dlg_dir.kv'))

# Classes
class DirPickerDialogue(Dialogue):
    """Dialogue with a file browser to select a directory.

    Pass the default text as **text**.

    >>> DirPickerDialogue(text='Hello world').open()

    """

    text = StringProperty('')

    def ok(self):
        if not exists(self.path) or not isdir(self.path):
            dlg = ErrorDialogue(text='Please select a directory')
            dlg.open()

        else:
            super(DirPickerDialogue, self).ok()

## EOF ##
