"""Dialogue to pick a file.
"""
# imports
from kivy.properties import StringProperty
from dialogue import Dialogue
from kivy.lang import Builder
from os.path import join, dirname, exists, isfile

# exports
__all__ = ('FilePickerDialogue', )

# Load kv
Builder.load_file(join(dirname(__file__), 'dlg_file.kv'))

# Classes
class FilePickerDialogue(Dialogue):
    """Dialogue with a file browser to select a file.

    Pass the default text as **text**.

    >>> FilePickerDialogue(text='Hello world').open()

    """

    text = StringProperty('')

    def ok(self):
        if not exists(self.path) or not isfile(self.path):
            dlg = ErrorDialogue(text='Please select a file')
            dlg.open()

        else:
            super(FilePickerDialogue, self).ok()

## EOF ##
