"""

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016

"""
# IMPORTS
from kivy.uix.label import Label
from kivy.uix.gridlayout import GridLayout

# INNER-MODULE IMPORTS
from sidebox import VSidebox
from ...controller.sidebox import CSidebox_Info_Cursor

# EXPORTS
__all__ = ('VSidebox_Info_Cursor', )

# LOAD KV

# CLASSES
class VSidebox_Info_Cursor(GridLayout, VSidebox):
    """Show image atributes."""
    def __init__(self, *args, **kwargs):
        kwargs['cols'] = 2
        kwargs['height'] = 15 * 7 + 25
        super(VSidebox_Info_Cursor, self).__init__(*args, **kwargs)

    def on_widget_change(self, instance, widget):
        self.controller = widget.get_controller(CSidebox_Info_Cursor, wx=self)

    def update(self, infos):
        self.clear_widgets()
        pw = self.parent is not None and self.parent.width or self.width
        for key, value in infos:
            # Left column (keys)
            self.add_widget(Label(
                  text=key
                , halign='right'
                , text_size = (65, None)
                , size_hint = (None, 1.0)
                , width = 65
                ))

            # Right column (values)
            self.add_widget(Label(
                  text=str(value)
                , halign='left'
                , text_size = (pw - 75, None)
                ))


## EOF ##
