"""

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016
"""
# imports
from os.path import join, dirname, exists
from kivy.lang import Builder
from kivy.uix.boxlayout import BoxLayout

# inner-module imports
from ..controller.status import CStatus

# exports
__all__ = ('VStatus', )

# Load kv
Builder.load_file(join(dirname(__file__), 'status.kv'))

class VStatus(BoxLayout):
    def on_parent(self, *args):
        """Set the controller."""
        super(VStatus, self).on_parent(*args)
        self.controller = self.get_controller(CStatus)

    def update_status(self, status):
        """Update the status line."""
        self.status_info = status

    def update_navigation(self, navi):
        """Update the navigation line."""
        self.navigation_info = navi

## EOF ##
